# Class pyglet.resource.URLLocation

    Location --+
               |
              URLLocation

Location on the network.

This class uses the `urlparse` and `urllib2` modules to open files on the network given a URL.

## Methods

| __init__(self, base_url) Create a location given a base URL.
file object | open(self, filename, mode=`'``rb``'`) Open a file at this location.

## Method Details

### __init__

(Constructor) __init__(self, base_url)
Create a location given a base URL.

Parameters:
  base_url : str
    URL string to prepend to filenames.

### open

open(self, filename, mode=`'``rb``'`)
Open a file at this location.

Returns: file object
Overrides:
  Location.open